module.exports = {
  'env': {
    'browser': true,
  },
  'extends': [
    'eslint-config-airbnb',
  ].map(require.resolve),
  'parserOptions': {
    'sourceType': 'script',
  },
  'rules': {
    'semi': ['error', 'never'],
    'no-underscore-dangle': 'off',
    'no-constant-condition': 'off',
    'no-use-before-define': ['error', { 'functions': false }],
    'no-param-reassign': ['error', { 'props': false }],
    'no-plusplus': 'off',
    'no-continue': 'off',
    'padded-blocks': 'off',
    'comma-dangle': ['error', 'only-multiline'],
    'no-console': 'off',
    'strict': 'off',
    'key-spacing': 'off',
    'newline-per-chained-call': 'off',
    'generator-star-spacing': 'off',
    'func-names': 'off',
    'no-multi-spaces': ['error', {
        'exceptions': {
          'AssignmentExpression': true,
          'Property': true,
        }
      }],
    'guard-for-in': 'off',
    'no-restricted-syntax': ['error', 'LabeledStatement', 'WithStatement'],
    'no-throw-literal': 'off',
    'valid-typeof': 'off'
  },
}
